
---
- name: Dezrann web service install
  hosts: ws
  vars:
    install_dir: "/home/{{ ansible_user }}/"
    app_name: dez-ws
  tasks:
    - name: Recursively remove dez-ws directory
      file:
        path: "{{ install_dir }}{{ app_name }}"
        state: absent
      
    - name: copy built app
      copy:
        src: '{{ app_name }}'
        dest: '{{ install_dir }}'

    - name: copy config
      template:
        src: config.json.j2
        dest: "{{ install_dir }}{{ app_name }}/config.json"

    - name: install backend dependencies
      npm:
        path: '{{ install_dir }}{{ app_name }}'

    - name: Stop APP
      command: pm2 delete {{ app_name }}
      ignore_errors: yes

    - name: Start APP
      command: pm2 start {{ install_dir }}{{ app_name }}/server.js --name {{ app_name }}
      ignore_errors: yes
...

